Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03299 Core Major Always Jul 10, 2009, 16:31 Jul 14, 2009, 04:47
Tester Roman View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows XP/Vista/7 64-bit
Status [?] Resolved Driver tehkanwc.cpp
Version 0.132u4 Fixed in Version 0.132u5 Build 64-bit
Summary 03299: tehkanwcc: double and wrong rom definition
Description Set: Tehkan World Cup (set 3, bootleg)
Name: tehkanwcc
ROM: e7.bin

Issue: Double ROM with different hashvalues found


<rom name="e7.bin" merge="twc-8.bin" size="32768" crc="055a5264" sha1="fe294ba57c2c858952e2fab0be1b8859730846cb" region="gfx2" offset="0"/>
<rom name="e7.bin" merge="twc-7.bin" size="32768" crc="59faebe7" sha1="85dad90928369601e039467d575750539410fcf6" region="gfx2" offset="8000"/>


one file is wrongly named I guess....
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems tehkanwcc
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.04638
Roman
Senior Tester
Jul 13, 2009, 18:12
diff -Nru src/mame/drivers/tehkanwc.c src/mame/drivers/tehkanwc.c
--- src/mame/drivers/tehkanwc.c 2009-07-10 18:10:24.000000000 +0200
+++ src/mame/drivers/tehkanwc.c 2009-07-13 20:06:17.000000000 +0200
@@ -849,7 +849,7 @@
  ROM_LOAD( "e12.bin", 0x00000, 0x4000, CRC(a9e274f8) SHA1(02b46e1b149a856f0be74a23faaeb792935b66c7) ) /* fg tiles */
 
  ROM_REGION( 0x10000, "gfx2", 0 )
- ROM_LOAD( "e7.bin", 0x00000, 0x8000, CRC(055a5264) SHA1(fe294ba57c2c858952e2fab0be1b8859730846cb) ) /* sprites */
+ ROM_LOAD( "e8.bin", 0x00000, 0x8000, CRC(055a5264) SHA1(fe294ba57c2c858952e2fab0be1b8859730846cb) ) /* sprites */
  ROM_LOAD( "e7.bin", 0x08000, 0x8000, CRC(59faebe7) SHA1(85dad90928369601e039467d575750539410fcf6) )
 
  ROM_REGION( 0x10000, "gfx3", 0 )
User avatar
No.04640
Fujix
Administrator
Jul 14, 2009, 04:47
Fix submitted by Roman Scherzer.